Subject: [Lon-capa-dev] postinstall configuration of webserver

From: Scott Harrison <[email-masked]>
Date: Tue, 05 Feb 2002 02:13:43 -0500

Dear All:

In the spirit of 
automatic/automagic/seamless/plug-and-play/carefreeness/etc

make postinstall

will check and update your web server configuration

This currently only works on non-STABLE installations.

The eventual goal is to use postinstall to probe, and when possible
update, all needed configuration files of applications external to the
LON-CAPA code base.

From the standpoint of packaging, this also prevents
hack-and-whack file overlapping between software packages.

And why might that be important?

It avoids user questions such as:
* What does "File conflict" mean when using 'rpm'?
* How do I configure such-and-such?
* I lost all my previous configuration files; why
  on earth were they overwritten?!

I have heard these questions many many many times.
Rampant file overwriting causes problems.  So...
I'm pretty sure I'm right on this one folks.

postinstall requires piml;
post installation markup language;
The 21st Century solution to everything;
CVS:loncom/build/piml_parse.pl.

Regards,
Scott

-- 
Scott Harrison -- Graduate Student
Microbiology and Molecular Genetics
Mich. State. Univ., East Lansing, MI
[email-masked], 517-353-0998